<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useColumnsMetadata](./react.usecolumnsmetadata.md)

## useColumnsMetadata() function

<b>Signature:</b>

```typescript
export declare function useColumnsMetadata(table: ColumnTable | undefined, filter?: (name: string) => boolean): Field[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  table | ColumnTable \| undefined |  |
|  filter | (name: string) =&gt; boolean | <i>(Optional)</i> |

<b>Returns:</b>

Field\[\]

